Subject: bug#6799: 24.0.50; Please add dired-details.el to Emacs [patch]

From: Christopher Schmidt <[email-masked]>
Date: Sun, 17 Feb 2013 14:57:02 +0000 (GMT)

Juri Linkov <[email-masked]> writes:
> Usually I don't do this but when I called in a dired buffer `M-x
> text-mode RET' it unexpectedly removed from display all text except
> filenames (i.e. made other text invisible).

buffer-invisibility-spec is being set back to t.  I.e. all text with a
non-nil invisible text property is hidden.

> I wonder should such cases be handled e.g. by disabling
> `dired-hide-details-mode' in the hook `after-change-major-mode-hook'?

Disabling dired-hide-details-mode just modifies
buffer-invisibility-spec.  This will not change anything.

I guess the invisible text property should be set back to nil.
dired-hide-details-mode will not work from thereon in this buffer.

Is this a real issue?

        Christopher